# Uses of Enum Class
com.google.protobuf.DescriptorProtos.FeatureSet.FieldPresence

Packages that use DescriptorProtos.FeatureSet.FieldPresence
Package
Description
com.google.protobuf

## Uses of DescriptorProtos.FeatureSet.FieldPresence in com.google.protobuf

Methods in com.google.protobuf that return DescriptorProtos.FeatureSet.FieldPresence
Modifier and Type
Method
Description
`static DescriptorProtos.FeatureSet.FieldPresence`
DescriptorProtos.FeatureSet.FieldPresence.`forNumber(int value)`
`DescriptorProtos.FeatureSet.FieldPresence`
DescriptorProtos.FeatureSet.Builder.`getFieldPresence()`
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.FieldPresence`
DescriptorProtos.FeatureSet.`getFieldPresence()`
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.FieldPresence`
DescriptorProtos.FeatureSetOrBuilder.`getFieldPresence()`
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`static DescriptorProtos.FeatureSet.FieldPresence`
DescriptorProtos.FeatureSet.FieldPresence.`valueOf(int value)`
Deprecated.
`static DescriptorProtos.FeatureSet.FieldPresence`
DescriptorProtos.FeatureSet.FieldPresence.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FeatureSet.FieldPresence`
DescriptorProtos.FeatureSet.FieldPresence.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FeatureSet.FieldPresence[]`
DescriptorProtos.FeatureSet.FieldPresence.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.FeatureSet.FieldPresence
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<DescriptorProtos.FeatureSet.FieldPresence>`
DescriptorProtos.FeatureSet.FieldPresence.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.FeatureSet.FieldPresence
Modifier and Type
Method
Description
`DescriptorProtos.FeatureSet.Builder`
DescriptorProtos.FeatureSet.Builder.`setFieldPresence(DescriptorProtos.FeatureSet.FieldPresence value)`
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`